# Enum RenderState.CullMode

java.lang.Object
java.lang.Enum<RenderState.CullMode>
com.codename1.gpu.RenderState.CullMode

All Implemented Interfaces:
  `Comparable<RenderState.CullMode>`

Enclosing class:
  `RenderState`

public static enum RenderState.CullMode extends Enum<RenderState.CullMode>
Which triangle faces are discarded before rasterization.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BACK`
  Discard back faces (counter clockwise winding is front).
  `FRONT`
  Discard front faces.
  `NONE`
  Render both faces.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RenderState.CullMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static RenderState.CullMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final RenderState.CullMode NONE
    Render both faces.

  - ### BACK

    public static final RenderState.CullMode BACK
    Discard back faces (counter clockwise winding is front).

  - ### FRONT

    public static final RenderState.CullMode FRONT
    Discard front faces.

- ## Method Details

  - ### values

    public static RenderState.CullMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static RenderState.CullMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null